Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Revert "- Updated the changelog"

This reverts commit 5d4877a.
  • Loading branch information...
commit f23ee50b49cd132d6e02eddeea70cf0ef69daecc 1 parent ed0a1e4
DBA authored
View
2  CHANGELOG
@@ -1,5 +1,3 @@
-* Fixed bugs with ruby 1.9.1 and ruby 1.9.2
-
* Ruby 1.9.1 bugfixes
* Fix LiquidView for Rails 2.2. Fix local assigns for all versions of Rails
View
5 History.txt
@@ -1,8 +1,3 @@
-2.1.0 / 2010-06-28
-
-* The gem tests are now fully compatible with ruby 1.8.7, 1.9.1 and 1.9.2-preview3
-* Liquid is now using Jeweler instead of Hoe
-
1.9.0 / 2008-03-04
* Fixed gem install rake task
View
34 Manifest.txt
@@ -0,0 +1,34 @@
+CHANGELOG
+History.txt
+MIT-LICENSE
+Manifest.txt
+README.rdoc
+Rakefile
+init.rb
+lib/extras/liquid_view.rb
+lib/liquid.rb
+lib/liquid/block.rb
+lib/liquid/condition.rb
+lib/liquid/context.rb
+lib/liquid/document.rb
+lib/liquid/drop.rb
+lib/liquid/errors.rb
+lib/liquid/extensions.rb
+lib/liquid/file_system.rb
+lib/liquid/htmltags.rb
+lib/liquid/module_ex.rb
+lib/liquid/standardfilters.rb
+lib/liquid/strainer.rb
+lib/liquid/tag.rb
+lib/liquid/tags/assign.rb
+lib/liquid/tags/capture.rb
+lib/liquid/tags/case.rb
+lib/liquid/tags/comment.rb
+lib/liquid/tags/cycle.rb
+lib/liquid/tags/for.rb
+lib/liquid/tags/if.rb
+lib/liquid/tags/ifchanged.rb
+lib/liquid/tags/include.rb
+lib/liquid/tags/unless.rb
+lib/liquid/template.rb
+lib/liquid/variable.rb
View
55 Rakefile
@@ -1,41 +1,46 @@
#!/usr/bin/env ruby
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gemspec|
- gemspec.name = "liquid"
- gemspec.summary = "A secure non evaling end user template engine with aesthetic markup."
- gemspec.description = "A secure non evaling end user template engine with aesthetic markup. Liquid currently supports Ruby versions 1.8.7, 1.9.1 and 1.9.2. This version of the gem is currently being tested with Ruby on Rails 3 beta 4."
- gemspec.email = "tobi@leetsoft.com"
- gemspec.homepage = "http://www.liquidmarkup.org"
- gemspec.authors = ["Tobias Luetke"]
+require 'rubygems'
+require 'rake'
+require 'hoe'
- # dependencies defined in Gemfile
- end
-rescue LoadError
- puts "Jeweler not available. Install it with: gem install jeweler"
+PKG_VERSION = "2.0.0"
+PKG_NAME = "liquid"
+PKG_DESC = "A secure non evaling end user template engine with aesthetic markup."
+
+Rake::TestTask.new(:test) do |t|
+ t.libs << "lib"
+ t.libs << "test"
+ t.libs << "."
+ t.pattern = 'test/*_test.rb'
+ t.verbose = false
end
-begin
- require 'rake/testtask'
- Rake::TestTask.new(:test) do |t|
- t.libs << "lib" << 'test'
- t.pattern = 'test/*_test.rb'
- t.verbose = false
- end
-rescue LoadError
- puts "rake is not available. install it with: gem install rake"
+Hoe.new(PKG_NAME, PKG_VERSION) do |p|
+ p.rubyforge_name = PKG_NAME
+ p.summary = PKG_DESC
+ p.description = PKG_DESC
+ p.author = "Tobias Luetke"
+ p.email = "tobi@leetsoft.com"
+ p.url = "http://www.liquidmarkup.org"
end
+
namespace :profile do
- task :default => [:run]
+
+ task :default => [:run]
+
desc "Run the liquid profile/perforamce coverage"
task :run do
+
ruby "performance/shopify.rb"
+
end
-
+
desc "Run KCacheGrind"
task :grind => :run do
system "kcachegrind /tmp/liquid.rubyprof_calltreeprinter.txt"
end
-end
+end
+
+
View
1  VERSION
@@ -1 +0,0 @@
-2.1.0.beta1
View
172 liquid.gemspec
@@ -1,177 +1,29 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
-# -*- encoding: utf-8 -*-
-
Gem::Specification.new do |s|
s.name = %q{liquid}
- s.version = "2.1.0.beta1"
+ s.version = "2.1"
- s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Tobias Luetke"]
- s.date = %q{2010-06-28}
- s.description = %q{A secure non evaling end user template engine with aesthetic markup. Liquid currently supports Ruby versions 1.8.7, 1.9.1 and 1.9.2. This version of the gem is currently being tested with Ruby on Rails 3 beta 4.}
+ s.date = %q{2009-04-13}
+ s.description = %q{A secure non evaling end user template engine with aesthetic markup.}
s.email = %q{tobi@leetsoft.com}
- s.extra_rdoc_files = [
- "README.rdoc"
- ]
- s.files = [
- ".gitignore",
- "CHANGELOG",
- "History.txt",
- "MIT-LICENSE",
- "README.rdoc",
- "Rakefile",
- "example/server/example_servlet.rb",
- "example/server/liquid_servlet.rb",
- "example/server/server.rb",
- "example/server/templates/index.liquid",
- "example/server/templates/products.liquid",
- "init.rb",
- "lib/extras/liquid_view.rb",
- "lib/liquid.rb",
- "lib/liquid/block.rb",
- "lib/liquid/condition.rb",
- "lib/liquid/context.rb",
- "lib/liquid/document.rb",
- "lib/liquid/drop.rb",
- "lib/liquid/errors.rb",
- "lib/liquid/extensions.rb",
- "lib/liquid/file_system.rb",
- "lib/liquid/htmltags.rb",
- "lib/liquid/module_ex.rb",
- "lib/liquid/standardfilters.rb",
- "lib/liquid/strainer.rb",
- "lib/liquid/tag.rb",
- "lib/liquid/tags/assign.rb",
- "lib/liquid/tags/capture.rb",
- "lib/liquid/tags/case.rb",
- "lib/liquid/tags/comment.rb",
- "lib/liquid/tags/cycle.rb",
- "lib/liquid/tags/for.rb",
- "lib/liquid/tags/if.rb",
- "lib/liquid/tags/ifchanged.rb",
- "lib/liquid/tags/include.rb",
- "lib/liquid/tags/unless.rb",
- "lib/liquid/template.rb",
- "lib/liquid/variable.rb",
- "liquid.gemspec",
- "performance/shopify.rb",
- "performance/shopify/comment_form.rb",
- "performance/shopify/database.rb",
- "performance/shopify/json_filter.rb",
- "performance/shopify/liquid.rb",
- "performance/shopify/money_filter.rb",
- "performance/shopify/paginate.rb",
- "performance/shopify/shop_filter.rb",
- "performance/shopify/tag_filter.rb",
- "performance/shopify/vision.database.yml",
- "performance/shopify/weight_filter.rb",
- "performance/tests/dropify/article.liquid",
- "performance/tests/dropify/blog.liquid",
- "performance/tests/dropify/cart.liquid",
- "performance/tests/dropify/collection.liquid",
- "performance/tests/dropify/index.liquid",
- "performance/tests/dropify/page.liquid",
- "performance/tests/dropify/product.liquid",
- "performance/tests/dropify/theme.liquid",
- "performance/tests/ripen/article.liquid",
- "performance/tests/ripen/blog.liquid",
- "performance/tests/ripen/cart.liquid",
- "performance/tests/ripen/collection.liquid",
- "performance/tests/ripen/index.liquid",
- "performance/tests/ripen/page.liquid",
- "performance/tests/ripen/product.liquid",
- "performance/tests/ripen/theme.liquid",
- "performance/tests/tribble/404.liquid",
- "performance/tests/tribble/article.liquid",
- "performance/tests/tribble/blog.liquid",
- "performance/tests/tribble/cart.liquid",
- "performance/tests/tribble/collection.liquid",
- "performance/tests/tribble/index.liquid",
- "performance/tests/tribble/page.liquid",
- "performance/tests/tribble/product.liquid",
- "performance/tests/tribble/search.liquid",
- "performance/tests/tribble/theme.liquid",
- "performance/tests/vogue/article.liquid",
- "performance/tests/vogue/blog.liquid",
- "performance/tests/vogue/cart.liquid",
- "performance/tests/vogue/collection.liquid",
- "performance/tests/vogue/index.liquid",
- "performance/tests/vogue/page.liquid",
- "performance/tests/vogue/product.liquid",
- "performance/tests/vogue/theme.liquid",
- "test/assign_test.rb",
- "test/block_test.rb",
- "test/condition_test.rb",
- "test/context_test.rb",
- "test/drop_test.rb",
- "test/error_handling_test.rb",
- "test/extra/breakpoint.rb",
- "test/extra/caller.rb",
- "test/file_system_test.rb",
- "test/filter_test.rb",
- "test/helper.rb",
- "test/html_tag_test.rb",
- "test/if_else_test.rb",
- "test/include_tag_test.rb",
- "test/module_ex_test.rb",
- "test/output_test.rb",
- "test/parsing_quirks_test.rb",
- "test/regexp_test.rb",
- "test/security_test.rb",
- "test/standard_filter_test.rb",
- "test/standard_tag_test.rb",
- "test/statements_test.rb",
- "test/strainer_test.rb",
- "test/template_test.rb",
- "test/test_helper.rb",
- "test/unless_else_test.rb",
- "test/variable_test.rb"
- ]
+ s.extra_rdoc_files = ["History.txt", "Manifest.txt", "README.rdoc"]
+ s.files = ["CHANGELOG", "History.txt", "MIT-LICENSE", "Manifest.txt", "README.rdoc", "Rakefile", "lib/extras/liquid_view.rb", "lib/liquid.rb", "lib/liquid/block.rb", "lib/liquid/condition.rb", "lib/liquid/context.rb", "lib/liquid/document.rb", "lib/liquid/drop.rb", "lib/liquid/errors.rb", "lib/liquid/extensions.rb", "lib/liquid/file_system.rb", "lib/liquid/htmltags.rb", "lib/liquid/module_ex.rb", "lib/liquid/standardfilters.rb", "lib/liquid/strainer.rb", "lib/liquid/tag.rb", "lib/liquid/tags/assign.rb", "lib/liquid/tags/capture.rb", "lib/liquid/tags/case.rb", "lib/liquid/tags/comment.rb", "lib/liquid/tags/cycle.rb", "lib/liquid/tags/for.rb", "lib/liquid/tags/if.rb", "lib/liquid/tags/ifchanged.rb", "lib/liquid/tags/include.rb", "lib/liquid/tags/unless.rb", "lib/liquid/template.rb", "lib/liquid/variable.rb"]
+ s.has_rdoc = true
s.homepage = %q{http://www.liquidmarkup.org}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.rdoc_options = ["--main", "README.rdoc"]
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
+ s.rubyforge_project = %q{liquid}
+ s.rubygems_version = %q{1.3.1}
s.summary = %q{A secure non evaling end user template engine with aesthetic markup.}
- s.test_files = [
- "test/assign_test.rb",
- "test/block_test.rb",
- "test/condition_test.rb",
- "test/context_test.rb",
- "test/drop_test.rb",
- "test/error_handling_test.rb",
- "test/extra/breakpoint.rb",
- "test/extra/caller.rb",
- "test/file_system_test.rb",
- "test/filter_test.rb",
- "test/helper.rb",
- "test/html_tag_test.rb",
- "test/if_else_test.rb",
- "test/include_tag_test.rb",
- "test/module_ex_test.rb",
- "test/output_test.rb",
- "test/parsing_quirks_test.rb",
- "test/regexp_test.rb",
- "test/security_test.rb",
- "test/standard_filter_test.rb",
- "test/standard_tag_test.rb",
- "test/statements_test.rb",
- "test/strainer_test.rb",
- "test/template_test.rb",
- "test/test_helper.rb",
- "test/unless_else_test.rb",
- "test/variable_test.rb"
- ]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.specification_version = 2
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
else
end
else
end
end
-
Please sign in to comment.
Something went wrong with that request. Please try again.